Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.user
Interface RemotePresenceEventListener

All Known Implementing Classes:
  IQPEPHandler

    public interface RemotePresenceEventListener

Interface to listen for presence events of remote users. Use the `RemotePresenceEventDispatcher.addListener(RemotePresenceEventListener)` method to register for events.

Author:
  Armando Jagucki

Method Summary
`void` | `remoteUserAvailable(Presence presence)` Notification message indicating that a remote user is now available or has changed his available presence.
`void` | `remoteUserUnavailable(Presence presence)` Notification message indicating that a remote user is no longer available.

Method Detail

### remoteUserAvailable

    void remoteUserAvailable(Presence presence)

  Notification message indicating that a remote user is now available or has changed his available presence. This event is triggered when an available presence is received by `PresenceRouter`.

  Parameters:
    `presence` - the received available presence.

### remoteUserUnavailable

    void remoteUserUnavailable(Presence presence)

  Notification message indicating that a remote user is no longer available. A remote user becomes unavailable when an unavailable presence is received. by `PresenceRouter`.

  Parameters:
    `presence` - the received unavailable presence.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.